# -*- shell-script -*-
#
# Bash tab auto-completion rules l5-fetch-next
#
# Copyright (C) 2021  Guido Günther <agx@sigxcpu.org>

_pkgs ()
{
  l5-fetch-next | sed -n 's,^  \(.*\),\1,p'
}

_have l5-fetch-next &&
_l5_fetch_next ()
{
    local cur="${COMP_WORDS[COMP_CWORD]}"
    local repos;
    local func

    _init_completion || return

    COMPREPLY=($(compgen -W '$(_pkgs)' -- "$cur"))
} && complete -F _l5_fetch_next -o default l5-fetch-next
